;Split a large Folder with MP3's to CD Length Folders

CDNr = 1
MaxCDLength := 120*60
CDLength = 0

timefile = length.txt ;### Filename for the
B_PathToTag := %A_WorkingDir%\Tag.exe
B_TagParameter := "--simple *.mp3 --hidetags --tofilen "


FileSelectFolder, WhichFolder, , 7, Ordner mit den MP3's whlen ;### Folderselection Dialog
;WhichFolder := "D:\06 neue Hoerbuecher\_gerade_bearbeitet\Test"
if ErrorLevel 
	ExitApp ;### if Cancled exit program
SetWorkingDir, %WhichFolder%

FileDelete, %timefile%
FileDelete, info.bat
FileAppend, "%B_PathToTag%" %B_TagParameter% %timefile% ,info.bat
RunWait, info.bat,,Hide
FileDelete, info.bat
FileRead, TagFilelist, %timefile%
FileDelete, %timefile%

FileList = ;### Variable to store the filelist
MP3List =

Loop, parse, TagFilelist, `n
{
	StringLeft, NewString, A_LoopField, StrLen(A_LoopField)-1
	;if InStr(%A_LoopField%, ".mp3")
	IfInString, NewString, .mp3
	{
		SplitPath, NewString , OutFileName, OutDir, OutExtension, OutNameNoExt, OutDrive
	}
	IfInString, NewString, playtime
	{
;Details: 44100 Hz Mono, 128 kbps, playtime 01:43
;								   123456789
		StringGetPos , StartingPos, NewString, playtime
		StartingPos += 9
		StringMid , TimeString , NewString, StartingPos
		StringSplit, Time, TimeString ,:, %A_Space%%A_Tab%
		Time := Time1*60+Time2
		MP3List = %MP3List%%Time%~%OutFileName%~`n
	}
}

;Loop *.mp3,,
Loop, parse, MP3List, `n ;### Parsing the FileList
{
	StringSplit, OutputArray, A_LoopField ,~
	MP3Length := OutputArray1
	
	CDLength := CDLength+MP3Length
	If (CDLength > MaxCDLength)
	{
		CDLength := MP3Length
		CDNrStr := CDNr
		if CDNrStr <10
			CDNrStr = 0%CDNrStr%
		CDNrStr = %CDNrStr%. CD
		FileCreateDir, %CDNrStr%
		Loop, parse, FileList, `n
			FileMove, %A_LoopField%, %CDNrStr%
		FileList = %OutputArray2%`n
		CDNr += 1
	}
	else
		FileList = %FileList%%OutputArray2%`n
}

CDLength := MP3Length
		CDNrStr := CDNr
		if CDNrStr <10
			CDNrStr = 0%CDNrStr%
		CDNrStr = %CDNrStr%. CD
		FileCreateDir, %CDNrStr%
		Loop, parse, FileList, `n
			FileMove, %A_LoopField%, %CDNrStr%
		FileList = %A_LoopFileShortPath%`n
		CDNr += 1

MsgBox, 64 , Done, Processed %WhichFolder% ,30