PartLength = 3 ;Minutes, about
TrNr = 1 ;Starting Track Number

timefile = length.txt ;### Filename for the
B_PathToMP3Info = %A_WorkingDir%\mp3info.exe ;### Path to MP3Info file
B_PathToOGGInfo = %A_WorkingDir%\ogginfo.exe ;### Path to oggInfo file
B_PathToMP3Splt = %A_WorkingDir%\mp3splt.exe ;### Path to MP3Splt File
B_mp3infoParameter := "-p %%S" ;### Prints the Length in Seconds

FileSelectFolder, WhichFolder, , 7, Ordner mit den MP3's whlen ;### Folderselection Dialog
if ErrorLevel 
	return ;### if Cancled exit program
SetWorkingDir, %WhichFolder%
FileDelete, AudioBookSplit.bat

CueList = ;### Variable to store the Culistfiles to be deleted
FileList = ;### Variable to store the filelist
Loop *.mp3,,1
	FileList = %FileList%%A_LoopFileFullPath%`n ;### Make a Rekursive List of all the Mp3's in the (Sub)Folders

Loop, parse, FileList, `n ;### Parsing the FileList
{    
	if A_LoopField
		splitpath, A_LoopField, OutFileName, OutDir,, OutNameWOExt ;### Split the Filepath
	else
    continue ; Skip the below and start a new iteration
		
	;SetWorkingDir, %OutDir%
	if not OutDir
		OutDir := "."
	OutFileName = %OutDir%\%OutFileName%
	
	FileDelete, %timefile%
	FileDelete, info.bat
	FileAppend, "%B_PathToMP3Info%" %B_mp3infoParameter% "%A_LoopField%" >%timefile%`n ,info.bat
	RunWait, info.bat,,Hide
	FileDelete, info.bat
	FileReadLine, MP3Length, %timefile%, 1
	FileDelete, %timefile%
	
	SplitTime := PartLength * 60
	SplitTime := Floor(MP3Length/Round(MP3Length/SplitTime)) 
	NumberOfSplitparts := round(MP3Length / SplitTime)
	
	SplitPoint = 0
	SplitM = 0
	SplitS = 0
	
	B_CueFileName = %OutDir%\%OutNameWOExt%.cue
	FileDelete, %B_CueFileName%
	CueList = %CueList%%A_WorkingDir%\%B_CueFileName%`n
	
	FileAppend, FILE "%OutFileName%" MP3`n, %B_CueFileName%
	if NumberOfSplitparts < 1
		NumberOfSplitparts:=1

	loop, %NumberOfSplitparts%{
		FileAppend,   TRACK %TrNr% AUDIO`n, %B_CueFileName%
		FileAppend,     TITLE "%TrNr% %OutNameWOExt%"`n, %B_CueFileName%
		if SplitS <10
			SplitS = 0%SplitS%
		if SplitM <10
			SplitM = 0%SplitM%
		FileAppend,     INDEX 01 %SplitM%:%SplitS%:00`n, %B_CueFileName%
		TrNr++
		SplitPoint := SplitPoint + SplitTime
		SplitS := Mod(SplitPoint, 60)
		SplitM := Round((SplitPoint-SplitS)/60)
	}
	
	;FileDelete, AudioBookSplit.bat
	FileAppend, "%B_PathToMP3Splt%" -a -c "%B_CueFileName%" "%OutFileName%" -d "%OutDir%\%OutNameWOExt%" -q`n, AudioBookSplit.bat
	FileAppend, del "%OutFileName%"`n, AudioBookSplit.bat
	FileAppend, del "%OutNameWOExt%.cue"`n, AudioBookSplit.bat
	;SetWorkingDir, %WhichFolder%
}
SetWorkingDir, %WhichFolder%
;FileAppend, pause`n, AudioBookSplit.bat
FileAppend, `n, AudioBookSplit.bat
RunWait, AudioBookSplit.bat,,Min
FileDelete, AudioBookSplit.bat
Loop, parse, CueList, `n ;### Parsing the CueList
	FileDelete, %A_LoopField% ;### Deleting the Cuefiles
return